'use strict';

exports.__esModule = true;
exports.bubbleDefaultProps = exports.bubblePropTypes = undefined;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Nivo = require('../../../Nivo');

var _Nivo2 = _interopRequireDefault(_Nivo);

var _PropTypes = require('../../../PropTypes');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var bool = _propTypes2.default.bool,
    object = _propTypes2.default.object,
    number = _propTypes2.default.number,
    string = _propTypes2.default.string,
    any = _propTypes2.default.any,
    func = _propTypes2.default.func,
    oneOf = _propTypes2.default.oneOf;

/**
 * Bubble components propTypes.
 *
 * @type {object}
 */
/*
 * This file is part of the nivo project.
 *
 * Copyright 2016-present, Raphaël Benitte.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

var bubblePropTypes = exports.bubblePropTypes = {
  width: number.isRequired,
  height: number.isRequired,
  margin: _PropTypes.margin,
  root: object.isRequired,
  leavesOnly: bool.isRequired,
  onBubbleClick: func.isRequired,
  identity: string.isRequired,
  value: string.isRequired,
  padding: number.isRequired,
  colors: any.isRequired,

  // placeholders
  namespace: oneOf(['html', 'svg']),
  children: func.isRequired,

  // border
  borderWidth: number.isRequired,
  borderColor: any.isRequired,

  // labels
  enableLabel: bool.isRequired,
  label: string.isRequired,
  labelFormat: string,
  labelTextColor: any.isRequired,
  labelTextDY: number.isRequired,
  labelSkipRadius: number.isRequired,

  // transitions
  animate: bool.isRequired,
  motionStiffness: number.isRequired, // react-motion
  motionDamping: number.isRequired, // react-motion
  transitionDuration: number.isRequired, // d3 transitions
  transitionEasing: string.isRequired // d3 transitions


  /**
   * Bubble components defaultProps.
   *
   * @type {object}
   */
};var bubbleDefaultProps = exports.bubbleDefaultProps = {
  leavesOnly: false,
  margin: _Nivo2.default.defaults.margin,
  onBubbleClick: function onBubbleClick() {},
  identity: 'id',
  value: 'value',
  padding: 1,
  colors: _Nivo2.default.defaults.colorRange,

  // placeholders
  namespace: 'html',

  // border
  borderWidth: 0,
  borderColor: 'inherit',

  // labels
  enableLabel: true,
  label: 'id',
  labelTextColor: 'inherit:darker(1)',
  labelTextDY: 5,
  labelSkipRadius: 0,

  // transitions
  animate: true,
  motionStiffness: _Nivo2.default.defaults.motionStiffness, // react-motion
  motionDamping: _Nivo2.default.defaults.motionDamping, // react-motion
  transitionDuration: _Nivo2.default.defaults.transitionDuration, // d3 transitions
  transitionEasing: _Nivo2.default.defaults.transitionEasing // d3 transitions
};