'use strict';

exports.__esModule = true;
exports.curvePropType = exports.curvePropKeys = exports.curvePropMapping = undefined;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _d = require('d3');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * This file is part of the nivo project.
 *
 * Copyright 2016-present, Raphaël Benitte.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

var curvePropMapping = exports.curvePropMapping = {
    basis: _d.curveBasis,
    basisClosed: _d.curveBasisClosed,
    basisOpen: _d.curveBasisOpen,
    bundle: _d.curveBundle,
    cardinal: _d.curveCardinal,
    cardinalClosed: _d.curveCardinalClosed,
    cardinalOpen: _d.curveCardinalOpen,
    catmullRom: _d.curveCatmullRom,
    catmullRomClosed: _d.curveCatmullRomClosed,
    catmullRomOpen: _d.curveCatmullRomOpen,
    linear: _d.curveLinear,
    linearClosed: _d.curveLinearClosed,
    monotoneX: _d.curveMonotoneX,
    monotoneY: _d.curveMonotoneY,
    natural: _d.curveNatural,
    step: _d.curveStep,
    stepAfter: _d.curveStepAfter,
    stepBefore: _d.curveStepBefore
};

var curvePropKeys = exports.curvePropKeys = Object.keys(curvePropMapping);

var curvePropType = exports.curvePropType = _propTypes2.default.oneOf(curvePropKeys);